Package com.databend.jdbc

# Interface DatabendNodeRouter

All Known Implementing Classes:
  `DatabendNodes`

public interface DatabendNodeRouter
Node manager manage a list of hosts

## Method Summary

Modifier and Type
Method
Description
`void`
`discoverUris(okhttp3.OkHttpClient client, com.databend.client.ClientSettings settings)`
Discover all possible query uris through databend discovery api and update candidate node router list in need
`DatabendClientLoadBalancingPolicy`
`getPolicy()`
Get load balancing policy
`List<URI>`
`getUris()`
Gets a copy of all possible query uris
`boolean`
`needDiscovery()`

## Method Details

### getUris

List<URI> getUris()
Gets a copy of all possible query uris

Returns:
  non-null uris

### getPolicy

DatabendClientLoadBalancingPolicy getPolicy()
Get load balancing policy

### discoverUris

void discoverUris(okhttp3.OkHttpClient client, com.databend.client.ClientSettings settings) throws UnsupportedOperationException
Discover all possible query uris through databend discovery api and update candidate node router list in need

Throws:
  `UnsupportedOperationException`

### needDiscovery

boolean needDiscovery()